﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Base
{
    public class Row : CareyGlass.AbstractBO.Row
    {
        const string FieldNamePrefix = "qty_";
        protected string suffix = String.Empty;

        public Row(string pSuffix) : base()
        {
            suffix = pSuffix;
        }

        public Row(DataRow pDr, string pSuffix) : base(pDr)
        {
            suffix = pSuffix;
        }

        public DataRow Dr { get { return dr; } set { dr = value; } }

        public int Qty
        {
            get { return Convert.ToInt32(dr[FieldNamePrefix + suffix]); }
            set { dr[FieldNamePrefix + suffix] = value; }
        }
    }
}
