﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using PluginHandler.Interfaces;

namespace PluginHandler
{
    [AttributeUsage(AttributeTargets.Class)]
    public class PluginAttribute : Attribute
    {
        #region Local Data
        #endregion 

        #region Constructor

        public PluginAttribute(string group, string version)
        {
            Group = group;
            Version = version;
        }

        #endregion 

        #region Properties

        public string Group { get; set; }
        public string Version { get; set; }

        #endregion 
    }
}
