﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using PluginHandler.Interfaces;

namespace PluginHandler
{
    public class PluginHost: IPlugin
    {
        #region Local Data

        private IPlugin plugin;

        #endregion 

        #region Constructor

        public PluginHost(IPlugin pPlugin)
        {
            plugin = pPlugin;
        }

        #endregion

        #region Methods

        public static implicit operator Base.Row(PluginHost pPluginHost)
        {
            return pPluginHost.plugin as Base.Row;
        }
        /*
                public override string ToString()
                {
                    string temp = string.Empty;

                    temp += client.ClientID;
                    temp += " ";
                    temp += client.CurrentNO.ToString();
                    return temp;
                }
        */
        #endregion

        #region Properties

        public IPlugin Plugin { get { return plugin; } }

        #endregion

        #region IPlugin implementation

        // Equipment definition
        //int IEquipment.ID { get { return equipment.ID; } }
        //string IEquipment.Name { get { return equipment.Name; } }
        //TGroupList IEquipment.Groups { get { return equipment.Groups; } }

        // plugin
        //string IPlugin.Version { get { return ((IPlugin)equipment).Version; } }

        String IPlugin.Suffix { get { return plugin.Suffix; } }
        

        #endregion
    }
}
