﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Interfaces;
using PluginHandler.Interfaces;
using PluginHandler;

namespace Group2
{
    [PluginAttribute(QTY_2_Calc.Group, "1.0.0.0")]
    public class QTY_2_Calc : Base.Row, ICalcQTY, IPlugin
    {
        public const String Group = "DEF";

        public QTY_2_Calc() : base(Group) { }
        public QTY_2_Calc(DataRow pDr) : base(pDr, Group) { }


        void ICalcQTY.CalcQTY(int pQty)
        {
            Qty = pQty;
        }

        String IPlugin.Suffix { get { return Group; } }
    }
}
