﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PluginHandler
{
    [AttributeUsage(AttributeTargets.Class)]
    public class PluginAttribute : Attribute
    {
        #region Local Data
        #endregion 

        #region Constructor

        public PluginAttribute(string description, string version)
        {
            Description = description;
            Version = version;
        }

        #endregion 

        #region Properties

        public string Description { get; set; }
        public string Version { get; set; }

        #endregion 
    }
}
